aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/openprotium-init/files/boot/flash
diff options
context:
space:
mode:
Diffstat (limited to 'recipes/openprotium-init/files/boot/flash')
-rw-r--r--recipes/openprotium-init/files/boot/flash13
1 files changed, 13 insertions, 0 deletions
diff --git a/recipes/openprotium-init/files/boot/flash b/recipes/openprotium-init/files/boot/flash
new file mode 100644
index 0000000000..40f64c9701
--- /dev/null
+++ b/recipes/openprotium-init/files/boot/flash
@@ -0,0 +1,13 @@
+#!/bin/sh
+# boot from the current (flash) root partition
+# nothing need be done apart from setting the
+# system LED status correctly
+. /etc/default/functions
+scc -l redflash -f auto
+test -x /sbin/init && exec /sbin/init
+# fallback if /sbin/init has been deleted (bad!)
+scc -l red
+exec <>/dev/console >&0 2>&0
+test -x /sbin/sulogin && exec /sbin/sulogin
+test -x /bin/sh && exec /bin/sh
+exit 1